dnl aclocal.m4 by Miroslav Zagorac  <zaga@fly.cc.fer.hr>
dnl
AC_DEFUN(AC_TYPE_BOOL_T, [AC_CHECK_TYPE(bool_t, unsigned char)])
AC_DEFUN(AC_TYPE_UNCHAR, [AC_CHECK_TYPE(unchar, unsigned char)])
AC_DEFUN(AC_TYPE_USHORT, [AC_CHECK_TYPE(ushort, unsigned short)])
AC_DEFUN(AC_TYPE_ULONG,  [AC_CHECK_TYPE(ulong,  unsigned long)])

dnl Check whether the C compiler have __DATE__ macro.
dnl
AC_DEFUN(AC_CHECK___DATE__,
   [ 
      AC_MSG_CHECKING(whether the C compiler ($CC) have __DATE__ macro)
      AC_TRY_COMPILE([ #include <stdio.h> ], [ (void) printf ("%s\n", __DATE__); ],
         AC_MSG_RESULT( yes),
         AC_DEFINE_UNQUOTED(__DATE__, "`date`")
         AC_MSG_RESULT( no)
      )
   ])

dnl Check whether the C compiler have __FUNCTION__ macro.
dnl
AC_DEFUN(AC_CHECK___FUNCTION__,
   [
      AC_MSG_CHECKING(whether the C compiler ($CC) have __FUNCTION__ macro)
      AC_TRY_COMPILE([ #include <stdio.h> ], [ (void) printf ("%s\n", __FUNCTION__); ],
         AC_MSG_RESULT( yes),
         AC_DEFINE_UNQUOTED(__FUNCTION__, "__unknown__")
         AC_MSG_RESULT( no)
      )
   ])

dnl Check whether the C compiler define __STDC__.
dnl
AC_DEFUN(AC_CHECK___STDC__,
   [
      AC_MSG_CHECKING(whether the C compiler ($CC) define __STDC__)
      AC_TRY_COMPILE(,
         [
            #ifndef __STDC__
            el_bimbo ();
            #endif
         ],
         AC_MSG_RESULT( yes)
         stdc_defined="yes",
         AC_MSG_RESULT( no)
      )
   ])
